Subject: bug#67687: closed (Re: bug#67687: Feature request: automatic tags management)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Jan 2024 01:57:02 +0000

Your bug report

#67687: Feature request: automatic tags management

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67687: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67687
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67687: Feature request: automatic tags management
From: Dmitry Gutov <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 4 Jan 2024 03:56:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 02/01/2024 03:40, Dmitry Gutov wrote:
> On 01/01/2024 21:25, Eli Zaretskii wrote:
>>> Date: Mon, 1 Jan 2024 20:48:37 +0200
>>> Cc: [email-masked], [email-masked], [email-masked],
>>> [email-masked]
>>> From: Dmitry Gutov <[email-masked]>
>>>
>>> On 01/01/2024 19:39, Eli Zaretskii wrote:
>>>>> Date: Mon, 1 Jan 2024 19:23:28 +0200
>>>>> Cc: [email-masked], [email-masked], [email-masked],
>>>>> [email-masked]
>>>>> From: Dmitry Gutov <[email-masked]>
>>>>>
>>>>> On 01/01/2024 18:50, Eli Zaretskii wrote:
>>>>>>> +The exception is made when the user has already selected a tags
>>>>>>> +table manually (for example, using \\[visit-tags-table]).  Then
>>>>>>> +this mode doesn't do anything.  Reset the visited tags tables
>>>>>>> +using \\[tags-reset-tags-tables]."
>>>>>>
>>>>>> The above is only true for the project whose TAGS was manually
>>>>>> visited, right?  IOW, it's not that once the use invokes
>>>>>> visit-tags-table once, this mode will be effectively disabled for the
>>>>>> entire session, right?
>>>>>
>>>>> No, it's the latter. It's off for the whole session, just like a 
>>>>> visited
>>>>> TAGS file is active for the whole session (not limited to any specific
>>>>> project).
>>>>
>>>> OK, then please tweak my suggested text to explain the situation
>>>> correctly instead.
>>>
>>> How about this?
>>>
>>> If you select a tags table manually (for example, using
>>> \\[visit-tags-table]), then this mode will be effectively
>>> disabled for the entire session.  Use \\[tags-reset-tags-tables]
>>> to countermand the effect of a previous \\[visit-tags-table].
>>
>> SGTM, thanks.
> 
> All right. I think I'll wait a days or two for any more comments and 
> then install the feature.

Pushed to master, and closing. Thanks to everyone for the discussion.

Subject: Feature request: automatic tags management
From: Jon Eskin <[email-masked]>
To: [email-masked]
Date: Thu, 7 Dec 2023 06:43:32 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Sublime text and the vim extension vim-gutentags (
https://github.com/ludovicchabant/vim-gutentags) allow you to open projects
and immediately go to symbol definitions and references without any
configuration or setup. They also handle background indexing as you work.

It would be very nice if Emacs had an option to work the same way, where I
could open a project and immediately navigate symbols built from the
project.el root, without having to manually futz around with tags.